/*
 * File         : UserData.h
 * Author       : Tomasz Stachowiak
 * Created      : Thu Sep 18 14:05:03 1997
 * Revision     : $Revision$
 * Updated      : $Date$
 * Copyright: Northeast Parallel Architectures Center
 *            at Syracuse University 1997
 */

#ifndef __USERDATA_H
#define __USERDATA_H

#include <Xm/Xm.h>

#include "rtp.h"

#define INIT 37

typedef struct _user_data
{
  int active;
  int time_of_first;
  int timestamp_of_first;
  int last_ts;
  int last_seq;
  int frames_received;
  int frames_lost;
  int frames_late;
} UserData;

void init(RTPheader *hdr);
int frame(RTPheader *hdr);
int getPercentLost(int handle);
int getPercentLate(int handle);
void reset(int handle);

void statClbkOK(Widget w, XtPointer app_data, XtPointer widget_data);
void statClbkUpdate(Widget w, XtPointer text, XtPointer widget_data);
void statClbkReset(Widget w, XtPointer text, XtPointer widget_data);


#endif

